## haskell-text 0.7.1.0

=== tests/Makefile ===
version := $(shell awk '/^version:/{print $$2}' ../text.cabal)
ghc := ghc
ghc-opt-flags = -O0
ghc-base-flags := -funbox-strict-fields -package criterion \
	-package bytestring -ignore-package text \
	-fno-ignore-asserts
ghc-test-flags := -package QuickCheck -package test-framework \
	-package test-framework-quickcheck
ghc-base-flags += -Wall -fno-warn-orphans -fno-warn-missing-signatures
ghc-flags := $(ghc-base-flags) -i../dist/build -package-name text-$(version)
ghc-hpc-flags := $(ghc-base-flags) -fhpc -fno-ignore-asserts -odir hpcdir \
	-hidir hpcdir -i..
lib := ../dist/build/libHStext-$(version).a
lib-srcs := $(shell grep '^  *Data' ../text.cabal | \
                    sed -e 's,\.,/,g' -e 's,$$,.hs,')

cabal := $(shell which cabal 2>/dev/null)

all: bm qc coverage

lib: $(lib)

$(lib): $(lib-srcs:%=../%)
ifeq ($(cabal),)
	cd .. && runghc Setup configure --user --prefix=$(HOME)
	cd .. && runghc Setup build
else
	cd .. && cabal configure
	cd .. && cabal build
endif

Properties.o qc qc-hpc: ghc-flags += $(ghc-test-flags)
Properties.o: QuickCheckUtils.o SlowFunctions.o

QuickCheckUtils.o: $(lib)

qc: Properties.o QuickCheckUtils.o SlowFunctions.o
	$(ghc) $(ghc-flags) -threaded -o $@ $^ $(lib)

sb: SearchBench.o SlowFunctions.o
	$(ghc) $(ghc-flags) -threaded -o $@ $^ $(lib)

qc-hpc: Properties.hs QuickCheckUtils.hs $(lib-srcs:%=../%)
	-mkdir -p hpcdir
	@rm -f $@.tix
	$(ghc) $(ghc-hpc-flags) $(ghc-opt-flags) -ihpcdir \
	  --make -threaded -o $@ $<

coverage: qc-hpc-html/hpc_index.html

qc-hpc-html/hpc_index.html: qc-hpc
	./qc-hpc -a 100 +RTS -N2
	hpc markup qc-hpc --exclude=Main --exclude=Properties \
	  --exclude=Data.Text.Fusion.CaseMapping \
	  --exclude=QuickCheckUtils --srcdir=.. --srcdir=. --destdir=$(dir $@)

Benchmarks.o: ghc-opt-flags = -O
bm Benchmarks.o: ghc-flags += -hide-package transformers -package utf8-string
bm: Benchmarks.o
	$(ghc) $(ghc-flags) -o $@ $^ $(lib)

SlowFunctions.o: ghc-opt-flags = -O2
SearchBench.o: ghc-opt-flags = -O
%.o: %.hs
	$(ghc) $(ghc-flags) $(ghc-opt-flags) -c -o $@ $<

hpcdir/%.o: %.hs
	$(ghc) $(ghc-hpc-flags) $(ghc-opt-flags) --make -c -o $@ $<

.PHONY: testdata
testdata: text-testdata.tar.bz2

text-testdata.tar.bz2:
	curl -O http://projects.haskell.org/text/text-testdata.tar.bz2

clean:
	-rm -rf *.o *.hi *.tix bm qc qc-hpc hpcdir .hpc qc-hpc-html

=== debian/changelog ===
haskell-text (0.7.1.0-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).
  * Create Build-Depends-Indep.
  * control: Vcs-Darcs: Use simpler URL.

  [ Giovanni Mascellani ]
  * New upstream release

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Mon, 22 Mar 2010 22:40:37 +0100

haskell-text (0.7.0.1-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 15:59:16 +0100

haskell-text (0.7.0.1-2) unstable; urgency=low

  [ Giovanni Mascellani ]
  * debian/watch: Use format that works for --download-current-version.
  * debian/copyright: Add missing bits of copyright information.

  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Add .tar.gz to downloaded filename.

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Wed, 06 Jan 2010 13:37:00 +0100

haskell-text (0.7.0.1-1) unstable; urgency=low

  * Initial release. (closes: #562286)

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Sun, 27 Dec 2009 16:44:07 +0100

=== debian/control ===
Source: haskell-text
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Build-Depends:
 debhelper (>= 7),
 haskell-devscripts (>= 0.7),
 cdbs,
 ghc6,
 ghc6-prof,
 libghc6-deepseq-dev,
 libghc6-deepseq-prof
Build-Depends-Indep:
 ghc6-doc,
 libghc6-deepseq-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/text
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text

Package: libghc6-text-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: An efficient packed Unicode text type for Haskell - GHC 6 libraries
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-text-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: An efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-text-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: An efficient packed Unicode text type for Haskell - documentation
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 This package contains the library documentation.

## haskell-text 0.11.0.6

=== tests/Makefile ===
version := $(shell awk '/^version:/{print $$2}' ../text.cabal)
ghc := ghc
ghc-opt-flags = -O0
ghc-base-flags := -funbox-strict-fields -hide-all-packages \
	-package base -package mtl -package random -package directory \
	-package criterion -package deepseq -DASSERTS -DHAVE_DEEPSEQ \
	-package bytestring -ignore-package text \
	-fno-ignore-asserts
ghc-test-flags := -package QuickCheck -package test-framework -package deepseq \
	-package test-framework-quickcheck2 -package test-framework-hunit \
	-package HUnit
ghc-base-flags += -Wall -fno-warn-orphans -fno-warn-missing-signatures
ghc-flags := $(ghc-base-flags) -i../dist/build -package-name text-$(version)
ghc-hpc-flags := $(ghc-base-flags) -fhpc -fno-ignore-asserts -odir hpcdir \
	-hidir hpcdir -i..
lib := ../dist/build/libHStext-$(version).a
lib-srcs := $(shell grep '^  *Data' ../text.cabal | \
                    sed -e 's,\.,/,g' -e 's,$$,.hs,')

cabal := $(shell which cabal 2>/dev/null)

all: bm qc coverage regressions

lib: $(lib)

$(lib): $(lib-srcs:%=../%)
ifeq ($(cabal),)
	cd .. && runghc Setup configure --user --prefix=$(HOME)
	cd .. && runghc Setup build
else
	cd .. && cabal configure
	cd .. && cabal build
endif

Properties.o Regressions.o qc qc-hpc: ghc-flags += $(ghc-test-flags)
Properties.o: QuickCheckUtils.o SlowFunctions.o TestUtils.o

QuickCheckUtils.o: $(lib)

qc: Properties.o QuickCheckUtils.o SlowFunctions.o TestUtils.o
	$(ghc) $(ghc-flags) -threaded -o $@ $^ $(lib)

sb: SearchBench.o SlowFunctions.o
	$(ghc) $(ghc-flags) -threaded -o $@ $^ $(lib)

qc-hpc: Properties.hs QuickCheckUtils.hs SlowFunctions.hs TestUtils.hs $(lib-srcs:%=../%)
	-mkdir -p hpcdir
	@rm -f $@.tix
	$(ghc) $(ghc-hpc-flags) $(ghc-test-flags) $(ghc-opt-flags) -ihpcdir \
	  --make -threaded -o $@ $<

stdio-hpc: StdioCoverage.hs $(lib-srcs:%=../%)
	-mkdir -p hpcdir
	@rm -f $@.tix
	$(ghc) $(ghc-hpc-flags) $(ghc-test-flags) $(ghc-opt-flags) -ihpcdir \
	  --make -threaded -o $@ $<

coverage: coverage-html/hpc_index.html

coverage-html/hpc_index.html: qc-hpc stdio-hpc
	@rm -f qc-hpc.tix stdio-hpc.tix coverage.tix
	./qc-hpc -a 100 +RTS -N
	bash ./cover-stdio.sh
	hpc combine --output=coverage.tix --exclude=Main \
	  qc-hpc.tix stdio-hpc.tix
	hpc markup coverage --exclude=Main --exclude=Properties --exclude=Main \
	  --exclude=Data.Text.Fusion.CaseMapping --exclude StdioCoverage \
	  --exclude=SlowFunctions --exclude=TestUtils \
	  --exclude=QuickCheckUtils --srcdir=.. --srcdir=. --destdir=$(dir $@)
	@echo xdg-open $@

Regressions.o: TestUtils.o

regressions: Regressions.o TestUtils.o
	$(ghc) $(ghc-test-flags) -o $@ $^ $(lib)

Benchmarks.o: ghc-opt-flags = -O
bm Benchmarks.o: ghc-flags += -package utf8-string
bm: Benchmarks.o
	$(ghc) $(ghc-flags) -o $@ $^ $(lib)

SlowFunctions.o: ghc-opt-flags = -O2
SearchBench.o: ghc-opt-flags = -O
%.o: %.hs
	$(ghc) $(ghc-flags) $(ghc-opt-flags) -c -o $@ $<

hpcdir/%.o: %.hs
	$(ghc) $(ghc-hpc-flags) $(ghc-opt-flags) --make -c -o $@ $<

.PHONY: testdata
testdata: text-testdata.tar.bz2

text-testdata.tar.bz2:
	curl -O http://projects.haskell.org/text/text-testdata.tar.bz2

clean:
	-rm -rf *.o *.hi *.tix bm qc qc-hpc stdio-hpc hpcdir .hpc coverage-html

=== tests/benchmarks/Makefile ===
CC := $(shell icu-config --cc)
CFLAGS := -g $(shell icu-config --cflags)
CPPFLAGS := $(shell icu-config --cppflags)
LDFLAGS := $(CFLAGS) $(shell icu-config --ldflags --ldflags-icuio)
ghc := ghc

all := FileRead FileRead_prof Replace Replace_prof fileread_c

all: $(all)

%: %.hs
	$(ghc) -O --make -o $@ $^

%_prof: %.hs
	$(ghc) -prof -auto-all -O --make -o $@ $^

clean:
	-rm -f *.hi *.o $(all)

=== debian/changelog ===
haskell-text (0.11.0.6-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 11:38:29 +0530

haskell-text (0.11.0.5-2) unstable; urgency=low

  * Remove doc-base file (Closes: #620183)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 31 Mar 2011 18:50:44 +0530

haskell-text (0.11.0.5-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Giovanni Mascellani ]
  * Updated my email address.

  [ Joachim Breitner ]
  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 27 Mar 2011 10:51:22 +0530

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,24 @@
 Priority: extra
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
+Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends:
  debhelper (>= 7),
- haskell-devscripts (>= 0.7),
+ haskell-devscripts (>= 0.8),
  cdbs,
- ghc6,
- ghc6-prof,
- libghc6-deepseq-dev,
- libghc6-deepseq-prof
+ ghc,
+ ghc-prof,
+ libghc-deepseq-dev,
+ libghc-deepseq-prof
 Build-Depends-Indep:
- ghc6-doc,
- libghc6-deepseq-doc
-Standards-Version: 3.8.4
+ ghc-doc,
+ libghc-deepseq-doc
+Standards-Version: 3.9.1
 Homepage: http://hackage.haskell.org/package/text
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text
 
-Package: libghc6-text-dev
+Package: libghc-text-dev
 Architecture: any
 Depends:
  ${haskell:Depends},
@@ -38,7 +38,7 @@
  .
  This package contains the libraries compiled for GHC 6.
 
-Package: libghc6-text-prof
+Package: libghc-text-prof
 Architecture: any
 Depends:
  ${haskell:Depends},
@@ -56,7 +56,7 @@
  .
  This package contains the profiling libraries compiled for GHC 6.
 
-Package: libghc6-text-doc
+Package: libghc-text-doc
 Section: doc
 Architecture: all
 Depends:

## haskell-text 0.11.1.5

=== tests/tests/Makefile ===
coverage: build coverage/hpc_index.html

build:
	cabal configure -fhpc
	cabal build

coverage/text-tests.tix:
	-mkdir -p coverage
	./dist/build/text-tests/text-tests
	mv text-tests.tix $@

coverage/text-tests-stdio.tix:
	-mkdir -p coverage
	./scripts/cover-stdio.sh ./dist/build/text-tests-stdio/text-tests-stdio
	mv text-tests-stdio.tix $@

coverage/coverage.tix: coverage/text-tests.tix coverage/text-tests-stdio.tix
	hpc combine --output=$@ \
        --exclude=Main \
        coverage/text-tests.tix \
        coverage/text-tests-stdio.tix

coverage/hpc_index.html: coverage/coverage.tix
	hpc markup --destdir=coverage coverage/coverage.tix

clean:
	rm -rf dist coverage .hpc

.PHONY: build coverage

=== debian/changelog ===
haskell-text (0.11.1.5-1) unstable; urgency=low

  * New upstream release, for haskell platform 2011.3.0.0

 -- Joachim Breitner <nomeata@debian.org>  Wed, 14 Sep 2011 15:16:55 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: An efficient packed Unicode text type for Haskell - GHC 6 libraries
+Description: efficient packed Unicode text type for Haskell - GHC 6 libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -46,7 +46,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: An efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
+Description: efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -64,7 +64,7 @@
  ${misc:Depends}
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
-Description: An efficient packed Unicode text type for Haskell - documentation
+Description: efficient packed Unicode text type for Haskell - documentation
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.

## haskell-text 0.11.1.13

=== debian/changelog ===
haskell-text (0.11.1.13-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Feb 2012 13:12:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,8 @@
  cdbs,
  ghc,
  ghc-prof,
- libghc-deepseq-dev,
- libghc-deepseq-prof
 Build-Depends-Indep:
  ghc-doc,
- libghc-deepseq-doc
 Standards-Version: 3.9.1
 Homepage: http://hackage.haskell.org/package/text
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
@@ -28,7 +25,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: efficient packed Unicode text type for Haskell - GHC 6 libraries
+Description: efficient packed Unicode text type for Haskell - GHC libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -36,7 +33,7 @@
  It supports many basic string operations and has some substring search
  tools.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
 Package: libghc-text-prof
 Architecture: any
@@ -46,7 +43,7 @@
 Suggests: ${haskell:Suggests}
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: efficient packed Unicode text type for Haskell - GHC 6 profiling libraries
+Description: efficient packed Unicode text type for Haskell - GHC profiling libraries
  This is a Haskell time and space-efficient implementation of Unicode
  text using packed Word16 arrays.  Suitable for performance critical use,
  both in terms of large data quantities and high speed.
@@ -54,7 +51,7 @@
  It supports many basic string operations and has some substring search
  tools.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
 Package: libghc-text-doc
 Section: doc

## haskell-text 0.11.2.0

=== debian/changelog ===
haskell-text (0.11.2.0-1build2) quantal; urgency=low

  * No-change rebuild with current GHC.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 07 Aug 2012 21:23:23 +0200

haskell-text (0.11.2.0-1build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI on armhf.

 -- Ilya Barygin <randomaction@ubuntu.com>  Thu, 05 Jul 2012 23:40:50 +0400

haskell-text (0.11.2.0-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 May 2012 11:50:38 +0200

## haskell-text 0.11.2.3

=== debian/changelog ===
haskell-text (0.11.2.3-2) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:02:16 +0200

haskell-text (0.11.2.3-1) experimental; urgency=low

  * Depend on haskell-devscripts (>= 0.8.13), to ensure it is built
    against experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 08 Oct 2012 22:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends:
  debhelper (>= 7),
- haskell-devscripts (>= 0.8),
+ haskell-devscripts (>= 0.8.13),
  cdbs,
  ghc,
  ghc-prof,
 Build-Depends-Indep:
  ghc-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/text
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text

## haskell-text 0.11.3.1

=== tests/Makefile ===
count = 1000

coverage: build coverage/hpc_index.html

build: text-test-data
	cabal configure -fhpc
	cabal build

text-test-data:
	hg clone https://bitbucket.org/bos/text-test-data
	$(MAKE) -C text-test-data

coverage/text-tests.tix:
	-mkdir -p coverage
	./dist/build/text-tests/text-tests -a $(count)
	mv text-tests.tix $@

coverage/text-tests-stdio.tix:
	-mkdir -p coverage
	./scripts/cover-stdio.sh ./dist/build/text-tests-stdio/text-tests-stdio
	mv text-tests-stdio.tix $@

coverage/coverage.tix: coverage/text-tests.tix coverage/text-tests-stdio.tix
	hpc combine --output=$@ \
        --exclude=Main \
        coverage/text-tests.tix \
        coverage/text-tests-stdio.tix

coverage/hpc_index.html: coverage/coverage.tix
	hpc markup --destdir=coverage coverage/coverage.tix

clean:
	rm -rf dist coverage .hpc

.PHONY: build coverage

=== debian/changelog ===
haskell-text (0.11.3.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 May 2013 15:29:56 +0200

haskell-text (0.11.2.3-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:16 +0200

=== debian/control ===
Source: haskell-text
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends:
 debhelper (>= 9),
 haskell-devscripts (>= 0.8.15),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep:
 ghc-doc,
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/text
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-text
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-text

Package: libghc-text-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|text-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/text \
    ([\d\.]*\d)/

## haskell-text 1.1.1.3

=== debian/changelog ===
haskell-text (1.1.1.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:14 +0200

haskell-text (1.1.1.3-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Giovanni Mascellani <gio@debian.org>
 Build-Depends:
  debhelper (>= 9),
- haskell-devscripts (>= 0.8.15),
+ haskell-devscripts (>= 0.9),
  cdbs,
  ghc,
  ghc-prof,

## haskell-text 1.2.0.6

=== debian/changelog ===
haskell-text (1.2.0.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 26 Jul 2015 20:22:26 +0200

haskell-text (1.2.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 21:43:14 +0200

## haskell-text 1.2.1.3

=== debian/changelog ===
haskell-text (1.2.1.3-2+x32) unreleased; urgency=medium

  * Don't disable integer-simple on x32.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 13 Feb 2016 19:11:11 +0100

haskell-text (1.2.1.3-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:10 -0500

haskell-text (1.2.1.3-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch
#DEB_SETUP_GHC_CONFIGURE_ARGS = -f-integer-simple

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-text 1.2.2.0

=== debian/changelog ===
haskell-text (1.2.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 21:41:12 -0500

=== debian/control ===
Source: haskell-text
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/bos/text
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-text-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

Package: libghc-text-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: efficient packed Unicode text type for Haskell${haskell:ShortBlurb}
 This is a Haskell time and space-efficient implementation of Unicode
 text using packed Word16 arrays.  Suitable for performance critical use,
 both in terms of large data quantities and high speed.
 .
 It supports many basic string operations and has some substring search
 tools.
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch
DEB_SETUP_GHC_CONFIGURE_ARGS = -f-integer-simple

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
http://hackage.haskell.org/package/text/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-text 1.2.2.1

=== debian/changelog ===
haskell-text (1.2.2.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:15:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ghc,
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/bos/text
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-text-dev
 Architecture: any

## haskell-text 1.2.2.2

=== debian/changelog ===
haskell-text (1.2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 02:17:41 -0400

haskell-text (1.2.2.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:30 -0400

haskell-text (1.2.2.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 09 Oct 2016 23:24:02 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Priority: extra
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
 Standards-Version: 3.9.8
 Homepage: https://github.com/bos/text
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-text
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-text-dev

## haskell-text 1.2.3.0

=== debian/changelog ===
haskell-text (1.2.3.0-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:22:50 +0300

haskell-text (1.2.3.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:16:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: haskell-text
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Giovanni Mascellani <gio@debian.org>
-Priority: extra
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
  ghc (>= 8),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.8
-Homepage: https://github.com/bos/text
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-text
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Standards-Version: 4.1.4
+Homepage: https://github.com/haskell/text
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-text
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-text]
 
 Package: libghc-text-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/text/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
